#include <stdio.h>
#include <unistd.h>
#include <sys/file.h>
#include <stdlib.h>
#include <fcntl.h>
#include <SupportDefs.h>

#include "GemTekPCI.h"

int main(int32 argc,char **argv)
{
	int err = 0;
	if (argc > 1)
	{
		int fd = open( "/dev/misc/GemTekPCI/0", O_RDWR );
		if (fd > -1)
		{
			err = ioctl( fd, TUNER_ON, (unsigned long *)NULL);
			err = ioctl( fd, MUTE_OFF, (unsigned long *)NULL);
			unsigned long Frequency = (unsigned long)((float)atof(argv[1]) * 1000);
			err = ioctl( fd, SET_FREQ, (unsigned long *)&Frequency);
			err = close(fd);
		}
		else
			printf ("GemTekPCI driver not found\n");
	}
	return 0;
}
